Change proxy settings
POST/computers/{id}/change-proxy
Change the proxy settings for the browser session
Path Parameters
id: string
Body ParametersJSON
proxy_url: optional string
Returns
Change proxy settings
curl https://api.tzafon.ai/computers/$ID/change-proxy \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $TZAFON_API_KEY" \
-d '{}'{
"error_message": "error_message",
"executed_tab_id": "executed_tab_id",
"page_context": {
"device_scale_factor": 0,
"is_main_tab": true,
"page_height": 0,
"page_width": 0,
"scroll_x": 0,
"scroll_y": 0,
"tab_id": "tab_id",
"title": "title",
"url": "url",
"viewport_height": 0,
"viewport_width": 0
},
"request_id": "request_id",
"result": {
"foo": "bar"
},
"status": "status",
"timestamp": "timestamp"
}Returns Examples
{
"error_message": "error_message",
"executed_tab_id": "executed_tab_id",
"page_context": {
"device_scale_factor": 0,
"is_main_tab": true,
"page_height": 0,
"page_width": 0,
"scroll_x": 0,
"scroll_y": 0,
"tab_id": "tab_id",
"title": "title",
"url": "url",
"viewport_height": 0,
"viewport_width": 0
},
"request_id": "request_id",
"result": {
"foo": "bar"
},
"status": "status",
"timestamp": "timestamp"
}